.margin-50{ margin: 50px; }
.margin-48{ margin: 48px; }
.margin-46{ margin: 46px; }
.margin-44{ margin: 44px; }
.margin-42{ margin: 42px; }
.margin-40{ margin: 40px; }
.margin-38{ margin: 38px; }
.margin-36{ margin: 36px; }
.margin-34{ margin: 34px; }
.margin-32{ margin: 32px; }
.margin-30{ margin: 30px; }
.margin-28{ margin: 28px; }
.margin-26{ margin: 26px; }
.margin-24{ margin: 24px; }
.margin-22{ margin: 22px; }
.margin-20{ margin: 20px; }
.margin-18{ margin: 18px; }
.margin-16{ margin: 16px; }
.margin-14{ margin: 14px; }
.margin-12{ margin: 12px; }
.margin-10{ margin: 10px; }
.margin-8 { margin:  8px; }
.margin-6 { margin:  6px; }
.margin-4 { margin:  4px; }
.margin-2 { margin:  2px; }
.margin-top-bottom{ margin-right: 0px; margin-left: 0px; }
.margin-left-right{ margin-top: 0px; margin-bottom: 0px; }
.margin-top{ margin-right: 0px; margin-bottom: 0px; margin-left: 0px; }
.margin-right{ margin-top: 0px; margin-bottom: 0px; margin-left: 0px; }
.margin-bottom{ margin-top: 0px; margin-right: 0px; margin-left: 0px; }
.margin-left{ margin-top: 0px; margin-right: 0px; margin-bottom: 0px; }
.padding-50{ padding: 50px; }
.padding-48{ padding: 48px; }
.padding-46{ padding: 46px; }
.padding-44{ padding: 44px; }
.padding-42{ padding: 42px; }
.padding-40{ padding: 40px; }
.padding-38{ padding: 38px; }
.padding-36{ padding: 36px; }
.padding-34{ padding: 34px; }
.padding-32{ padding: 32px; }
.padding-30{ padding: 30px; }
.padding-28{ padding: 28px; }
.padding-26{ padding: 26px; }
.padding-24{ padding: 24px; }
.padding-22{ padding: 22px; }
.padding-20{ padding: 20px; }
.padding-18{ padding: 18px; }
.padding-16{ padding: 16px; }
.padding-14{ padding: 14px; }
.padding-12{ padding: 12px; }
.padding-10{ padding: 10px; }
.padding-8 { padding:  8px; }
.padding-6 { padding:  6px; }
.padding-4 { padding:  4px; }
.padding-2 { padding:  2px; }
.padding-top-bottom{ padding-right: 0px; padding-left: 0px; }
.padding-left-right{ padding-top: 0px; padding-bottom: 0px; }
.padding-top{ padding-right: 0px; padding-bottom: 0px; padding-left: 0px; }
.padding-right{ padding-top: 0px; padding-bottom: 0px; padding-left: 0px; }
.padding-bottom{ padding-top: 0px; padding-right: 0px; padding-left: 0px; }
.padding-left{ padding-top: 0px; padding-right: 0px; padding-bottom: 0px; }

.text-ellip{ text-overflow: ellipsis; white-space: nowrap; overflow: hidden; }

@media (max-width: 767px){
    .scroll-x-xs{ white-space: nowrap; overflow-y: hidden; overflow-x: auto; }
}
@media (min-width: 768px) and (max-width: 991px){
    .scroll-x-sm{ white-space: nowrap; overflow-y: hidden; overflow-x: auto; }
}
@media (min-width: 992px) and (max-width: 1199px){
    .scroll-x-md{ white-space: nowrap; overflow-y: hidden; overflow-x: auto; }
}
@media (min-width: 1200px){
    .scroll-x-lg{ white-space: nowrap; overflow-y: hidden; overflow-x: auto; }
}
.scroll-x{ white-space: nowrap; overflow-y: hidden; overflow-x: auto; }